API
SigCleaner REST API documentation.
Method: Background removal
POST https://sigclean.io/api/clean
Authorization
Authorization: Bearer YOUR_API_KEY
Request parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
file |
multipart file | One of two | PNG, JPG, or PDF image |
url |
string | One of two | Direct image URL |
type |
string | No | json (default) — return JSON with a linkwebp — вернуть бинарный файл WebP с прозрачным фономpng — вернуть бинарный файл PNG с прозрачным фоном |
Response: type=json
{
"status": "ok",
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://sigclean.io/api/file/550e8400-e29b-41d4-a716-446655440000",
"remaining": 9,
"limit": 10
}
Response: type=webp
Возвращает бинарный файл WebP с прозрачным фоном.
Content-Type: image/webp.
Response: type=png
Возвращает бинарный файл PNG с прозрачным фоном.
Content-Type: image/png.
Примеры cURL
curl -X POST https://sigclean.io/api/clean \
-H "Authorization: Bearer YOUR_KEY" \
-F "file=@stamp.jpg" \
-F "type=json"
curl -X POST https://sigclean.io/api/clean \
-H "Authorization: Bearer YOUR_KEY" \
-F "file=@stamp.jpg" \
-F "type=png" \
--output result.png
curl -X POST https://sigclean.io/api/clean \
-H "Authorization: Bearer YOUR_KEY" \
-F "file=@stamp.jpg" \
-F "type=webp" \
--output result.webp
Download result
GET https://sigclean.io/api/file/{uuid}
Method: File list
GET https://sigclean.io/api/files
Returns a list of all successfully processed files belonging to the current user. Files are accessible via the link /api/file/{uuid}.
Authorization
Bearer token or active session (cookie). Without authorization, returns 401.
Authorization: Bearer YOUR_API_KEY
Response
{
"status": "ok",
"files": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://sigclean.io/api/file/550e8400-e29b-41d4-a716-446655440000",
"created_at": "2026-07-01T10:00:00Z",
"expires_at": "2027-07-01T10:00:00Z"
}
]
}
| Field | Type | Description |
|---|---|---|
uuid |
string | Unique file ID |
url |
string | Direct download link for the file (WebP) |
created_at |
string (ISO 8601) | File creation date and time (UTC) |
expires_at |
string | null | Storage expiration date (UTC). null — file is stored indefinitely (authorized users). For guests — created_at + 1 year. |
cURL example
curl https://sigclean.io/api/files \
-H "Authorization: Bearer YOUR_KEY"
Method: Delete file
POST https://sigclean.io/api/files/delete
Permanently deletes a file from the server. The file must belong to the current user.
Authorization
Bearer token or active session (cookie). Without authorization, returns 401.
Authorization: Bearer YOUR_API_KEY
Request body application/json
| Parameter | Type | Required | Description |
|---|---|---|---|
uuid |
string | Yes | File UUID from the response /api/clean or /api/files |
Response
{ "status": "ok" }
Error codes
| Code | Description |
|---|---|
401 | Unauthorized |
404 | File not found or does not belong to the user |
422 | Not provided or invalid uuid |
cURL example
curl -X POST https://sigclean.io/api/files/delete \
-H "Authorization: Bearer YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"uuid":"550e8400-e29b-41d4-a716-446655440000"}'
API Key Management
You must log in to manage keys.